Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4824 - rpm -F query fails w/ redhat updates, other suggestions
Summary: rpm -F query fails w/ redhat updates, other suggestions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-01 11:28 UTC by Pekka Savola
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-01 13:52:49 UTC


Attachments (Terms of Use)

Description Pekka Savola 1999-09-01 11:28:42 UTC
I have all redhat errata updates in this one local
directory.  If I do:

rpm -F *.rpm, it says:

query of XFree86-cyrillic-fonts-3.3.3.1-52.i386.rpm failed
query of XFree86-cyrillic-fonts-3.3.3.1-52.i386.rpm failed
rpm: no packages given for install

I don't have any X packages installed (this is just a
bare-bones install).

Also a little suggestion: I'd like rpm -Fh --quiet *.rpm (or
some similar command) wouldn't report :

rpm: no packages given for install

This would make rpm -F nicer to implement in upgrade scripts
because you wouldn't need to redirect the output (thus also
losing some vital information, in case something is
upgraded) or create some klugdy scripts that'd tailor the
output in some way.

Comment 1 Jeff Johnson 2001-01-08 19:36:39 UTC
This bug is probably moot, as --freshen is implemented in C in rpm-3.0.5 and
later.


Note You need to log in before you can comment on or make changes to this bug.